Bug 1845770

Summary: Screen brightness dimmed after blank Thinkpad P50
Product: [Fedora] Fedora Reporter: kostas.r
Component: xorg-x11-drv-nouveauAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 32CC: airlied, ajax, bskeggs, jglisse
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-25 17:57:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description kostas.r 2020-06-10 02:52:34 UTC
Description of problem:

I see that when the screen turns on again after a blank due to inactivity, the brightness is dimmer than before the blank.
I can see the actual_brightness field reflects this. Before the blank the actual_brightness field is 90 and after it is 37.

Because of this I must manually increase the brightness back to where it was previously (before the screen blank).

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-1.0.15-9.fc32.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. sleep 1; xset dpms force off

Actual results:

$ sleep 1; xset dpms force off
# Screen blanks then I press a key to turn it back on

$ cd /sys/class/backlight/nv_backlight
$ grep . *bright*
actual_brightness:37
brightness:90
max_brightness:100

Expected results:

$ sleep 1; xset dpms force off
# Screen blanks then I press a key to turn it back on

$ cd /sys/class/backlight/nv_backlight
$ grep . *bright*
actual_brightness:90
brightness:90
max_brightness:100

Additional info:

$ lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M1000M] (rev a2)

Comment 1 Fedora Program Management 2021-04-29 17:10:39 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Admin user for bugzilla script actions 2021-05-07 02:59:40 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Admin user for bugzilla script actions 2021-05-19 00:04:42 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Ben Cotton 2021-05-25 17:57:13 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.